Loading...
Searching...
No Matches
devsettings::Smtp::Configuration Struct Reference

SMTP server configuration. More...

`import "Smtp.idl";`

## Public Attributes

string | host
| SMTP server host name or IP address.
int | port
| SMTP server port.
boolean | useTls
| Enforce TLS usage.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certificates
string | caCertChain
| TLS CA certificate chain.
string | sender
| Sender email address.
boolean | useAuth
| SMTP server requires authentication.
string | username
| Authentication user name.
string | password
| Password; write-only, empty to leave unchanged.
int | retryCount
| Number of attempts at sending the email.
int | retryInterval
| Sending retry interval in minutes.

## Detailed Description

SMTP server configuration.

Definition at line 17 of file Smtp.idl.

## Member Data Documentation

## allowOffTimeRangeCerts

boolean devsettings::Smtp::Configuration::allowOffTimeRangeCerts

allow expired and not yet valid TLS certificates

Definition at line 21 of file Smtp.idl.

## caCertChain

string devsettings::Smtp::Configuration::caCertChain

TLS CA certificate chain.

Definition at line 22 of file Smtp.idl.

## host

string devsettings::Smtp::Configuration::host

SMTP server host name or IP address.

Definition at line 18 of file Smtp.idl.

## password

string devsettings::Smtp::Configuration::password

Password; write-only, empty to leave unchanged.

Definition at line 26 of file Smtp.idl.

## port

int devsettings::Smtp::Configuration::port

SMTP server port.

Definition at line 19 of file Smtp.idl.

## retryCount

int devsettings::Smtp::Configuration::retryCount

Number of attempts at sending the email.

Definition at line 27 of file Smtp.idl.

## retryInterval

int devsettings::Smtp::Configuration::retryInterval

Sending retry interval in minutes.

Definition at line 28 of file Smtp.idl.

## sender

string devsettings::Smtp::Configuration::sender

Sender email address.

Definition at line 23 of file Smtp.idl.

## useAuth

boolean devsettings::Smtp::Configuration::useAuth

SMTP server requires authentication.

Definition at line 24 of file Smtp.idl.

## username

string devsettings::Smtp::Configuration::username

Authentication user name.

Definition at line 25 of file Smtp.idl.

## useTls

boolean devsettings::Smtp::Configuration::useTls

Enforce TLS usage.

Definition at line 20 of file Smtp.idl.

The documentation for this struct was generated from the following file:

- Smtp.idl